#1
  1. No Profile Picture
    Contributing User
    Devshed Newbie (0 - 499 posts)

    Join Date
    Jun 2004
    Posts
    461
    Rep Power
    25

    wxPython clipboard on linux


    In one of my apps. I noticed that my clipboard code doesn't work on linux. I am using wxPython 2.6.0.0 on gentoo and for whatever reason it wont put stuff into my clip board when i tell it too. My code looks like:

    Code:
    needToCopy = "hey"
    clip = wx.Clipboard()
    clip.Open()
    clip.Clear
    clip.SetData(wx.TextDataObject(needToCopy)
    clip.Flush()
    clip.Close()
    i know this isn't enough to actually run, but my application is quit large so i wasn't going to put it all up on here. I beleave there error must be in that code or it must be in how gentoo emerge wxPython. Anyone having similar problems. This code runs perfectly fine on windows so i don't understand.
  2. #2
  3. No Profile Picture
    Contributing User
    Devshed Newbie (0 - 499 posts)

    Join Date
    Jan 2004
    Location
    Atlantic City, NJ
    Posts
    327
    Rep Power
    13
    Are you using the stable gentoo WxPython ebuild or the masked one? The stable one is 2.4.2.4-r2 and the masked one is 2.6.0.0-r1. Thats a big jump. Maybe emerge'ing the masked version will fix your issue?

    Code:
    # echo 'dev-python/wxpython ~x86' >> /etc/portage/package.keywords
    # emerge wxpython
    I'll learn this stuff someday.
  4. #3
  5. No Profile Picture
    Contributing User
    Devshed Newbie (0 - 499 posts)

    Join Date
    Jun 2004
    Posts
    461
    Rep Power
    25
    well 2.4.2.4 is to behind for what i need. SO i have to use 2.6.0.0 i know it is abig jump but my code wont even run on 2.4 so i have to use 2.6

    any ideas on a fix?
  6. #4
  7. No Profile Picture
    Contributing User
    Devshed Newbie (0 - 499 posts)

    Join Date
    Jan 2004
    Location
    Atlantic City, NJ
    Posts
    327
    Rep Power
    13
    Originally Posted by CyBerHigh
    well 2.4.2.4 is to behind for what i need. SO i have to use 2.6.0.0 i know it is abig jump but my code wont even run on 2.4 so i have to use 2.6

    any ideas on a fix?
    ???? I put in my post above how to emerge the masked package.
    I'll learn this stuff someday.
  8. #5
  9. No Profile Picture
    Contributing User
    Devshed Newbie (0 - 499 posts)

    Join Date
    Jun 2004
    Posts
    461
    Rep Power
    25
    i have already done that, that is how i install this verion of wxpython.

    that is what i said, i already tried the old one and i am using the masked one already before this post. 2.6.0.0 is the masked. witch doesn't seem tow ork. That is what my problem is.

IMN logo majestic logo threadwatch logo seochat tools logo